Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface EJBObject

All Superinterfaces:
  Remote

public interface EJBObject
extends Remote

The EJBObject interface is extended by all enterprise Bean's remote interface. An enterprise Bean's remote interface provides the client's view of an EJB object. An enterprise Bean's remote interface defines the business methods callable by a client.

Each enterprise Bean has a remote interface. The remote interface must extend the javax.ejb.EJBObject interface, and define the enterprise Bean specific business methods.

The enterprise Bean's remote interface is defined by the enterprise Bean provider and implemented by the enterprise Bean container.

Method Summary
`EJBHome` | `getEJBHome()` Obtain the enterprise Bean's remote home interface.
`Handle` | `getHandle()` Obtain a handle for the EJB object.
`Object` | `getPrimaryKey()` Obtain the primary key of the EJB object.
`boolean` | `isIdentical(EJBObject ejbo)` Tests if a given EJB object is identical to the invoked EJB object.
`void` | `remove()` Remove the EJB object.

Method Detail

### getEJBHome

    public EJBHome getEJBHome()
                       throws RemoteException

  Obtain the enterprise Bean's remote home interface. The remote home interface defines the enterprise Bean's create, finder, remove, and home business methods.

  Returns:
    A reference to the enterprise Bean's home interface.
  Throws:
    `RemoteException` - - Thrown when the method failed due to a system-level failure.

### getPrimaryKey

    public Object getPrimaryKey()
                         throws RemoteException

  Obtain the primary key of the EJB object.

  This method can be called on an entity bean. An attempt to invoke this method on a session bean will result in RemoteException.

  Returns:
    The EJB object's primary key.
  Throws:
    `RemoteException` - - Thrown when the method failed due to a system-level failure.

### remove

    public void remove()
                throws RemoteException,
                       RemoveException

  Remove the EJB object.

  Throws:
    `RemoteException` - - Thrown when the method failed due to a system-level failure.
    `RemoveException` - - The enterprise Bean or the container does not allow destruction of the object.

### getHandle

    public Handle getHandle()
                     throws RemoteException

  Obtain a handle for the EJB object. The handle can be used at later time to re-obtain a reference to the EJB object, possibly in a different Java Virtual Machine.

  Returns:
    A handle for the EJB object.
  Throws:
    `RemoteException` - - Thrown when the method failed due to a system-level failure.

### isIdentical

    public boolean isIdentical(EJBObject ejbo)
                        throws RemoteException

  Tests if a given EJB object is identical to the invoked EJB object.

  Parameters:
    `ejbo` - - An object to test for identity with the invoked object.
  Returns:
    True if the given EJB object is identical to the invoked object, false otherwise.
  Throws:
    `RemoteException` - - Thrown when the method failed due to a system-level failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.